Page MenuHomePhabricator

Make hovercards default for Catalan and Greek Wikipedias for 2 months starting 2015-04-15
Closed, ResolvedPublic

Description

Tracking bug for all that needs to be done before we make Hovercards default for the following Wikipedias for 2 months (test release).

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable Hovercards by default on Catalan and Greek Wikipedias
mediawiki/extensions/Popups : wmf/1.26wmf2Act as a beta feature if so configured
mediawiki/extensions/Popups : wmf/1.26wmf1Act as a beta feature if so configured
mediawiki/extensions/Popups : masterAct as a beta feature if so configured

Related Objects

StatusAssignedTask
DeclinedNone
ResolvedNone
ResolvedTnegrin
Resolvedori
Resolved werdna
ResolvedPrtksxna
ResolvedPrtksxna
Resolvedcsteipp
ResolvedPrtksxna
Resolvedleila
ResolvedNone
ResolvedQuiddity
Resolved MNguyen
ResolvedPrtksxna
ResolvedJdlrobson
ResolvedPrtksxna
ResolvedPrtksxna
ResolvedPrtksxna
ResolvedJdlrobson

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Jaredzimmerman-WMF renamed this task from Make hovercards default for Chinese, Catalan and Greek Wikipedias for 3 months (test release) to Make hovercards default for Chinese, Catalan and Greek Wikipedias for 2 months (test release).Mar 12 2015, 8:53 PM
Jaredzimmerman-WMF updated the task description. (Show Details)

Per roadmap policy, please provide a rough ETA no later than two weeks from now or remove this project from the roadmap if you think it will remain unscheduled until then.

Jaredzimmerman-WMF renamed this task from Make hovercards default for Chinese, Catalan and Greek Wikipedias for 2 months (test release) to Make hovercards default for Chinese, Catalan and Greek Wikipedias for 2 months starting 2015.04.15.Mar 12 2015, 9:40 PM
Jaredzimmerman-WMF moved this task from Unscheduled to June 2015 on the Roadmap board.

Change 197034 had a related patch set uploaded (by Werdna):
Allow Popups to be switched between the following modes:

https://gerrit.wikimedia.org/r/197034

Change 197038 had a related patch set uploaded (by Werdna):
T88164: Make Hovercards default for Chinese, Catalan and Greek WP.

https://gerrit.wikimedia.org/r/197038

Aklapper renamed this task from Make hovercards default for Chinese, Catalan and Greek Wikipedias for 2 months starting 2015.04.15 to Make hovercards default for Chinese, Catalan and Greek Wikipedias for 2 months starting 2015-04-15.Mar 17 2015, 10:47 AM

@wctaiwan pointed out an issue with Hovercards when variants of Chinese are being used T93605: Hovercards aren't always triggered when a specific Chinese variant is used on the Chinese Wikipedia. This doesn't affect readers, but might affect a large number of editors who usually set a variant in their preference.

Does this need to be a blocker?

Restricted Application added a project: Notice. · View Herald TranscriptMar 26 2015, 11:12 PM

Actually, the Chinese Wikipedia tries to select a variant based on the user's browser settings, so it would affect anonymous users as well. My understanding is that right now, for most zhwiki readers, a significant portion of links would not trigger Hovercards.

We need to removed Chinese from the inital test. Due to fundraising having a banner campaign at the same time as our planned test. We should resolve this for a possible later incremental launch but, due to the need to remove Chinese Wikipedia from the test. It doesn't block the test rollout.

gpaumier moved this task from Backlog to Triaged on the Notice board.
Quiddity renamed this task from Make hovercards default for Chinese, Catalan and Greek Wikipedias for 2 months starting 2015-04-15 to Make hovercards default for Catalan and Greek Wikipedias for 2 months starting 2015-04-15.Apr 2 2015, 7:07 PM
Eloquence moved this task from June 2015 to April 27-May 1 on the Roadmap board.Apr 2 2015, 7:59 PM
Quiddity renamed this task from Make hovercards default for Catalan and Greek Wikipedias for 2 months starting 2015-04-15 to Make hovercards default for Chinese, Catalan, and Greek Wikipedias for 2 months starting 2015-04-15.Apr 2 2015, 11:36 PM

Change 197038 had a related patch set uploaded (by Alex Monk):
Make Hovercards default for Chinese, Catalan and Greek WP.

https://gerrit.wikimedia.org/r/197038

gpaumier moved this task from Triaged to Archive on the Notice board.Apr 9 2015, 5:45 PM
Eloquence moved this task from April 27-May 1 to April 13-17 on the Roadmap board.Apr 9 2015, 9:56 PM

The patch includes the Chinese Wikipedia, but @Jaredzimmerman-WMF indicated above that it needed to be removed. Has the issue with zhwp been resolved?

Yup, all resolved. It will rollout to all 3 wikis.

geraki added a subscriber: geraki.Apr 10 2015, 8:29 AM

Shall we make an announcement?

Just in case the relevant people were not aware, Hovercards has not yet been fully localized to any of these three languages. (Chinese is the only one of these that has particularly visible unlocalized content, that being the "[Last edited] X hours/days/months/... ago".) Is there any way to get these messages to have a higher translation priority for the duration?

(Chinese is the only one of these that has particularly visible unlocalized content, that being the "[Last edited] X hours/days/months/... ago".)

It was fully localised for Simplified Chinese (zh-hans), and I've just filled in the missing ones for Traditional Chinese (zh-hant). That the last edit string appears untranslated is the result of zhwiki falling back to zh (and not zh-hans or zh-hant) if it can't determine a specific variant to display, and Translatewiki having disabled translating to zh. People using a Chinese-language OS/browser should not see the untranslated string.

geraki added a comment.EditedApr 15 2015, 6:57 AM

I have translated Hovercards locally in elwiki, and Ι have just moved the translations to translatewiki.

The announcent by Quiddity stated that it will be enabled on April 15th. It is already 16th in China, Greece, and Spain. :-)

Waiting on @ori for performance review

Based on talking to @ori today, the decision has been made to roll out to catalan wikipedia and greek wikipedia, due to their user bases, and watch carefully the technical performance of the feature (server/api load) as well as its effect on EventLogging.

After a week we should be able to know if everything is stable and not causing too much load on the system.

We will tentatively plan on extending the rollout to Chinese Wikipedia a week after this initial rollout if Ori finds everything to be working as expected and no major changes or fixes needed at that time.

Change 197034 merged by jenkins-bot:
Act as a beta feature if so configured

https://gerrit.wikimedia.org/r/197034

Change 204686 had a related patch set uploaded (by Ori.livneh):
Act as a beta feature if so configured

https://gerrit.wikimedia.org/r/204686

Change 204687 had a related patch set uploaded (by Ori.livneh):
Act as a beta feature if so configured

https://gerrit.wikimedia.org/r/204687

Change 204686 merged by jenkins-bot:
Act as a beta feature if so configured

https://gerrit.wikimedia.org/r/204686

Change 204687 merged by jenkins-bot:
Act as a beta feature if so configured

https://gerrit.wikimedia.org/r/204687

Change 197038 merged by Ori.livneh:
Enable Hovercards by default on Catalan and Greek Wikipedias

https://gerrit.wikimedia.org/r/197038

ori added a comment.Apr 17 2015, 2:16 AM

Now enabled on Catalan and Greek.

Eloquence moved this task from April 13-17 to April 20-24 on the Roadmap board.Apr 17 2015, 10:02 PM

Moving to next week in roadmap since Chinese deployment is still pending.

greg added a comment.Apr 27 2015, 5:56 PM

Update on the Chinese portion of this? Can we break that out to a separate ticket if it's not going to happen very soon (because tracking it as a sub-task without a sub-task is hard, yo).

Eloquence added a subscriber: Tnegrin.EditedApr 29 2015, 5:25 AM

Since Jared is no longer at WMF after the end of this month, this feature needs to transition to new ownership. Pinging @Tnegrin since this rationally makes sense within the scope of the Readership group.

It'll also need a new engineer as I am now in the EditingMultimedia team.

Vibhabamba added a comment.EditedApr 29 2015, 7:17 AM

@Eloquence I plan to discuss this with @Tnegrin tomorrow and will update accordingly.
Side note: We might want to look at this as 'All beta features'

Any update on the deployment to zhwiki?

Assigning to Toby just so it's not assigned to Jared. Toby, feel free to assign to someone else if appropriate.

greg added a comment.May 8 2015, 3:31 PM

@Tnegrin / @Vibhabamba who will own this now? If no one will, I'm not inclined to let zhwiki be added to the test.

Since there's no update on zhwiki for a while, I'm making this ticket solely about the other two.

greg renamed this task from Make hovercards default for Chinese, Catalan, and Greek Wikipedias for 2 months starting 2015-04-15 to Make hovercards default for Catalan, and Greek Wikipedias for 2 months starting 2015-04-15.May 8 2015, 3:31 PM
greg closed this task as Resolved.May 8 2015, 3:34 PM
greg moved this task from This week: May 4-8 to April 13-17 on the Roadmap board.
Ricordisamoa renamed this task from Make hovercards default for Catalan, and Greek Wikipedias for 2 months starting 2015-04-15 to Make hovercards default for Catalan and Greek Wikipedias for 2 months starting 2015-04-15.May 8 2015, 4:14 PM
Quiddity moved this task from Backlog to Done on the Page-Previews board.Jun 21 2015, 10:48 PM
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptJun 21 2015, 10:48 PM

just running some pageview analysis on this experiment and need to know--during this experiment were hovers captured as pageviews? If anything, it looks like pageviews increased during the experiment, which goes against theory (and what we saw on Android), unless we were counting hovers as pages.

leila added a comment.Mar 30 2016, 9:36 PM

@JKatzWMF as far as I know, we never changed the pageview definition to include hovercard view (though this was discussed quite a few times). Can you share your queries?

@JKatzWMF as far as I know, we never changed the pageview definition to include hovercard view (though this was discussed quite a few times). Can you share your queries?

As far as I know, @leila is right, the pageview definition didn't include Hovercards views.

jayvdb added a subscriber: jayvdb.May 17 2016, 5:41 AM

Is there a new task for evaluating this test? I am guessing the blocked tasks are stalled waiting for that evaluation to be done.